<?php
/**
 * Custom views handler for news_client_image_json field.
 */

class news_client_views_handler_field_news_client_image_json extends views_handler_field {
  /**
   * Render the field.
   *
   * @param $values
   *   The values retrieved from the database.
   */
  function render($values) {
    $nid = $this->get_value($values);
    
    $query = new EntityFieldQuery();
    $query->entityCondition('entity_type', 'node');
    $query->entityCondition('bundle', 'news_client_cached_article');
    $query->propertyCondition('nid', $nid, '=');
    
    $result = $query->execute();
    
    if (isset($result['node'])) {
      $cached_article_nids = array_keys($result['node']);
      $cached_article_nid = array_shift($cached_article_nids);
      
      $cached_article = entity_load_single('node', $cached_article_nid);
      
      $ca_wrapper = NULL;
      
      try {
        $ca_wrapper = entity_metadata_wrapper('node', $cached_article);
      }
      catch (Exception $e) {
        _news_client_entitymetadatawrapper_exception($e);
      }
      
      $image_json = '';
      
      try {
        $image_json = $ca_wrapper->news_client_image_json->value();
      }
      catch (Exception $e) {
        _news_client_entitymetadatawrapper_exception($e);
      }
      
      $image_data = json_decode($image_json);
      
      $image_markup = '';
      
      foreach ($image_data as $image) {
        $data = array(
          'path' => $image->url,
          'alt' => $image->alt,
          'title' => $image->title,
          'attributes' => array(
            'class' => array('news_client_image_json'),
          ),
        );
        $image_markup .= theme_image($data);
      }
    }
    
    return $image_markup;
  }
}
