##Enabling Solr for a Pantheon Site

1.  Add the IndexServer from the Dashboard (Settings -> Add-Ons -> Solr).

2.  Make sure you have the latest version of Drupal. (if you are not using the WCM distribution.)

3.  Schema should be posted automatically if you are using the WCM distribution.  If you encounter problems, follow these steps:
	- Click on “Configure” next to “Pantheon Apache Solr” on the module listing page.
	- You will see a message that says “The Pantheon Apache Solr service in the (dev/test/live) 
	environment was not found, have you posted the schema in this environment yet?  
	Click on the “posted the schema” link.
	- On the next page, select profiles/wcm_base/modules/contrib/apachesolr/solr-conf/solr-3.x/schema.xml  
	and click “Post schema”.
	- Note: You must post the schema.xml in each environment (dev, test, and live) 
	that you want to use Pantheon's Solr Service in.

4.  Likewise, if you are using the WCM distribution, these settings should be automatic.  You can double-check:
	- Click on the settings tab.  you should see your solr server listed as  
	“localhost server (Default)”.
	- Click on “index” under the “Configuration” column of the table on this page.
	- Scroll to the bottom of the page and note the node types and file types that are available for searching.  
	Check/uncheck any that are you want included in the index.  Then click “Save”.  
	**Note:** File search for the Apache Solr Search module will only search the file’s fields, 
	not the actual content of the file.  If you do not have descriptions set for your files, 
	they likely will not appear in search results based on the terms you search for. 
	- The page will refresh and should show that you have 0 items indexed.  
	Click on “Queue all content for reindexing”, then “Queue all content” on the next page.
	- Then click on the Index queued content button.  **Note:** If you are using the WCM distro, queuing and indexing should be automatic the next time cron runs.

5.  Double check that “Apache Solr search” is selected both as the Active search module 
and the default search module on /admin/config/search/settings.

6.  Go back to /admin/config/search/apachesolr/search-pages and note what your url is for core Search.  
Hit that url and give the search a try. 

You can read more about this [on the Pantheon website.](https://pantheon.io/docs/articles/sites/apache-solr/)
